Bug 5939 - Save and edit items button no longer works
Summary: Save and edit items button no longer works
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-23 20:30 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (1.88 KB, patch)
2011-03-23 21:09 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-03-23 20:30:24 UTC
When modifying an existing biblio, the "Save and edit items" option in the "Save" menu no longer redirects to the edit items screen. Instead, it redirects to the regular details screen.
Comment 1 Nicole C. Engard 2011-03-23 21:09:27 UTC
Created attachment 3416 [details] [review]
patch
Comment 2 Chris Cormack 2011-03-24 00:42:34 UTC
Pushed, please test
Comment 3 Julian Maurice 2011-03-24 08:08:58 UTC
Works as expected but there is something strange. When I edit a record, click on "Save and edit items", then go back with my navigator button, and finally click on "Save" button, I'm redirected to the "Edit items" page instead of Record details. Is this behavior normal?
Comment 4 Jared Camins-Esakov 2011-03-24 13:06:58 UTC
Yes, that's to be expected. The cataloging module uses hidden inputs which aren't reset when using the back and forward buttons. However, it's been my experience that using the back button in the cataloging module can result in data corruption anyway, since the biblionumber parameter is not always available to ensure that the record is properly overlaid.
Comment 5 Jared Camins-Esakov 2011-03-28 17:29:39 UTC
I am closing this since there is nothing that can be done to deal with using the back button.